Create a post on behalf of someone
Understanding how to use FeatureOS API to build custom integrations.
Introduction
This endpoint allows you to create a new post on behalf of a user.
POST
https://api.featureos.app/api/v3/feature_requests/post_on_behalf
curl -X POST 'https://api.featureos.app/api/v3/feature_requests/post_on_behalf' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| ALLOW-PRIVATE | false | Set to true if filtering out a private board’s posts. |
| Authorization | - | Generate a unique JWT token that is specific to a user |
Body Parameters
| Parameter | Required | Format | Description |
|---|---|---|---|
| title | true | String | The title of the post. Also used to generate the slug. |
| description | false | Text | The description of the post. HTML is allowed. |
| attachments[] | false | File | Upload up to 5 images that will be added to the end of the description. Each image can be either a 'jpeg', 'jpg', 'png' or 'gif' file and a max size of 10 MB. |
| bucket_id | true | Integer | The ID of the bucket returned in the list buckets endpoint. Needs ALLOW-PRIVATE header to be set if it is a private board ID. |
| true | String | Email of the post submitter | |
| name | false | String | Name of the post sumbitter |